<template>
  <el-dialog
    width="40%"
    title="强制打印密码校验"
    top="15vh"
    :visible.sync="innerVisible"
    append-to-body
    @close="$emit('update:currshowlist', false)"
    :show="currshowlist"
    :close-on-click-modal="false"
    class="part-dialog"
  >
    <div style="margin-bottom:10px;">
      <span style="color:red;"
        >异常提示：“ {{ hintMsg == null ? '' : hintMsg }} ”</span
      >
    </div>
    <div style="display:flex;">
      <div style="width:50px;line-height:32px;"><span>密码：</span></div>
      <div>
        <el-input
          v-model="password"
          placeholder="请输入密码"
          show-password
        ></el-input>
      </div>
    </div>
    <div slot="footer" class="dialog-footer">
      <el-button @click="innerVisible = false">取 消</el-button>
      <el-button type="primary" @click="confirmData">确定</el-button>
    </div>
  </el-dialog>
</template>
<script>
import { checkSubmitPassword } from '@/api/huawei/code19gross'
export default {
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    },
    tackingList: {
      type: Object,
      default: () => {
        return {}
      }
    },
    hintMsg: {
      type: String
    },
    grossweightcodeobj: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  data() {
    return {
      innerVisible: false,
      password: null
    }
  },
  watch: {
    currshowlist() {
      this.innerVisible = this.currshowlist
      this.password = null
      if (this.currshowlist) {
        this.$nextTick(() => {})
      }
    }
  },
  methods: {
    confirmData() {
      if (this.password != null) {
        checkSubmitPassword(this.password, this.grossweightcodeobj.id).then(
          (response) => {
            const resData = response.data
            console.log(resData)
            if (resData.code === 0) {
              this.$emit('confirmSecret', this.tackingList)
              this.innerVisible = false
            }
          }
        )
      } else {
        this.$message.error('请输入密码')
      }
    }
  }
}
</script>
<style scoped></style>
